
TEMPLATE = app
TARGET = qtbluesky
DESTDIR = bin
OBJECTS_DIR = obj
MOC_DIR = moc
DEPENDPATH += src
INCLUDEPATH += src ../../include

win32 {
LIBS += ../../bin/Release/libBlueSky.dll.a
}
!win32 {
LIBS += ../../lib/bluesky.a
}
QT += gui xml

# Input
HEADERS += src/mainWindow.h src/skyView.h src/skyViewDrawingThread.h 
HEADERS += src/simulation.h src/simulationThread.h src/newSimulationWizard.h
HEADERS += src/bsObjectBox.h src/editActionDialog.h src/blueSkyXmlScript.h
HEADERS += src/scriptEditor.h src/actionDescr.h src/cameraDescr.h 
HEADERS += src/refractionDescr.h src/editCrystalDialog.h src/crystalDescr.h
HEADERS += src/rotationDescr.h src/editRotationDialog.h src/errorOutput.h
HEADERS += src/errorOutputWidget.h src/sunDescr.h src/probabilitySpinBoxDelegate.h
HEADERS += src/displaySettingsWidget.h src/nullErrorOutput.h src/settings.h
SOURCES += src/main.cpp src/mainWindow.cpp src/skyView.cpp src/skyViewDrawingThread.cpp
SOURCES += src/simulation.cpp src/simulationThread.cpp src/newSimulationWizard.cpp
SOURCES += src/bsObjectBox.cpp src/editActionDialog.cpp src/blueSkyXmlScript.cpp
SOURCES += src/scriptEditor.cpp src/actionDescr.cpp src/cameraDescr.cpp
SOURCES += src/refractionDescr.cpp src/editCrystalDialog.cpp src/crystalDescr.cpp
SOURCES += src/rotationDescr.cpp src/editRotationDialog.cpp src/errorOutput.cpp
SOURCES += src/errorOutputWidget.cpp src/sunDescr.cpp src/probabilitySpinBoxDelegate.cpp
SOURCES += src/displaySettingsWidget.cpp src/nullErrorOutput.cpp src/settings.cpp
TRANSLATIONS += lang/qtbluesky_pl.ts
